WS Security Handler - Header element properties

Hi all,

I have configured a Web Service Consumer (WSD) following the step described in “7.1.1_Web_Services_Delevoper_Guide.pdf” using WS Security capabilities and policy files.

When running WS Consumer following SOAP-FAULT is returned /

faultcode :soapenv:MustUnderstand
faultstring:Did not understand “MustUnderstand” header(s):{http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd}Security

I am unable to modify the mustunderstand property (to false) as WS Security Handler - Header element properties is not accessible on Developer.

Appreciate any feedbacks.

Kind Regards,
Djibril.

As per link below the problems is apparently in Axis side (web service provider).

http://wso2.org/library/tutorials/understand-famous-did-not-understand-mustunderstand-header-s-error

Axis doesn’t handle mustunderstand attribute.

Does anyone know how can i suppress the mustunderstand attribute in WS Security SOAP Header in webMethods 7.1.2 ?

Thanks,
Djibril